Skip to main content
POST
Debit an account

Authorizations

x-api-key
string
header
required

API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.

Path Parameters

id
string
required

Body

application/json
amount
string
required

Amount to credit or debit (string to support large numbers)

Example:

"1000"

reference
string
required

Your reference ID to link this transaction to an event in your system (e.g. order ID, campaign ID)

Example:

"signup_bonus"

idempotency_key
string
required

Idempotency key to prevent duplicate transactions

Example:

"idem_abc123"

Response

Debit transaction created

id
string
required

Transaction ID

Example:

"cct_abc123"

store_id
string
required

Store ID

reference
string
required

Reference string

Example:

"order_xyz"

idempotency_key
string
required

Idempotency key

entries
object[]
required

Transaction entries

created_at
string
required

Creation timestamp

reversal_of
object

ID of the transaction this reverses, if applicable

Example:

"cct_abc123"